#pragma once

#include "ActorInterface.h"
#include "wascommand.h"
#include "WASActor.h"

class CWASListNotice :	public CWASCommand
{
public:
	CWASListNotice(CWASActor *pActor);
	~CWASListNotice(void);

	void ExecuteAsync(void);
	
	
private:
	bool ParseAndEventFire(nfc::CIkXMLDom * pDom);
	

protected:
	// override in drived class
	virtual void OnWasResponse(trid_t /*trid*/, bool /*bSuccess*/, int /*nWinINetErrorCode*/, int /*nHttpResponseCode*/, 
		LPCSTR /*szWasResCodeInHeader*/, 
		LPCSTR /*szWasResCodeInXml*/,
		nfc::CIkXMLDom * /*pDom*/);

	virtual void OnRequestTimeout(CHttpFacade * /*pHttpF*/, DWORD /*dwSeconds*/);

private:
	std::vector<NE_NOTICE_DATA> m_listNoticeData;
	
};
